# this file is used to record the build configuration 
# so that we can switch architectures and
# so that we do not have to repeat configuration for samples 
DXCC = gcc
DXCFLAGS = -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4 -m64 -mminimal-toc -D_GNU_SOURCE
DXEXECLINKLIBS = -lnsl -lXinerama  -lnetcdf -L/usr/lib64/netcdf-3 -ldf -L/usr/lib64/hdf -lXpm -ltiff -ldl -lXm -lXp -lGLU -lGL -lm -lXext -lXt -lX11 -lSM -lICE -L/usr/lib64 -lpthread -lWand -lMagick
DXEXECLINKFLAGS = 
DXRUNTIMELOADFLAGS = 
DXFMTLIBS =  libtiff.a libdf.a libnetcdf.a libMagick.a
DXLDFLAGS =  
OBJEXT = o
EXEEXT = 
DXABI = 
DX_X_LINK_LIBS = -lXm -lXp -lGLU -lGL -lm -lXext -lXt -lX11 -lSM -lICE -L/usr/lib64 -lpthread  
DX_GL_LINK_LIBS =  -lGL 
DOT_EXE_EXT = 
# the var ARCH may change to DXARCH due to namespace
DXARCH = linux
JINC = 
DX_JAVA_CLASSPATH = 
DX_RTL_CFLAGS =  -D_GNU_SOURCE -Dlinux
DX_RTL_LDFLAGS = -fPIC -shared
DX_RTL_DXENTRY =  -eDXEntry
DX_RTL_IMPORTS = 
DX_RTL_SYSLIBS = 
SHARED_LINK = $(CC)
DX_OUTBOARD_LIBS = 
